R (pbdR) Binding

ØMQ Compatibility

pbdZMQ ships with a minimal ZeroMQ (4.1.0 rc1) library. pbdZMQ also supports versions of libzmq >= 4.0.4 on Linux, Mac OSX, and Windows.


pbdZMQ can be installed within R in the traditional way:


or by downloading the source and installing from the command line:

wget http://cran.r-project.org/src/contrib/pbdZMQ_0.1-1.tar.gz
sudo R CMD INSTALL pbdZMQ_0.1-1.tar.gz

Source Code

The current stable pbdZMQ release can be downloaded from GitHub:
or by cloning using git:

git clone git://github.com/RBigData/pbdZMQ.git


The README file of the source code has a quick summary of information.

Bug Reporting

If you encounter problems please fill a bug report at:


Mailing List

Discussions about this language binding take place on the general RBigDataProgramming list.